<?php
if (!defined('ABSPATH')) {
    exit;
}

  
$file_size_live=(file_exists(wc_get_log_file_path('eh_stripe_pay_live'))?$this->file_size(filesize(wc_get_log_file_path('eh_stripe_pay_live'))):'');
$file_size_dead=(file_exists(wc_get_log_file_path('eh_stripe_pay_dead'))?$this->file_size(filesize(wc_get_log_file_path('eh_stripe_pay_dead'))):'');
return array(
    'enabled' => array(
        'title' => __('Stripe Payment', 'eh-stripe-gateway'),
        'label' => __('Enable', 'eh-stripe-gateway'),
        'type' => 'checkbox',
        'default' => 'no'
    ),
    'overview' => array(
        'title' => __('Stripe Overview Page', 'eh-stripe-gateway'),
        'label' => __('Enable', 'eh-stripe-gateway'),
        'type' => 'checkbox',
        'description' => sprintf('<a href="' . admin_url('admin.php?page=eh-stripe-overview') . '">'.__( 'Stripe Overview ','eh-stripe-gateway' ).'</a>'),
        'default' => 'yes'
    ),
    'title' => array(
        'title' => __('Title', 'eh-stripe-gateway'),
        'type' => 'text',
        'description' => __('Enter the title of the checkout which the user can see.', 'eh-stripe-gateway'),
        'default' => __('Stripe', 'eh-stripe-gateway'),
        'desc_tip' => true
    ),
    'description' => array(
        'title' => __('Description', 'eh-stripe-gateway'),
        'type' => 'textarea',
        'css' => 'width:25em',
        'description' => __('Description which the user sees during checkout.', 'eh-stripe-gateway'),
        'default' => __('Secure payment via Stripe.', 'eh-stripe-gateway'),
        'desc_tip' => true
    ),
    'eh_stripe_order_button' => array(
        'title' => __('Order Button Text', 'eh-stripe-gateway'),
        'type' => 'text',
        'description' => __('Enter the Order Button Text of the payment page.', 'eh-stripe-gateway'),
        'default' => __('Pay via Stripe', 'eh-stripe-gateway'),
        'desc_tip' => true
    ),
    'eh_stripe_checkout_cards' => array(
        'title' => __('Preferred Cards', 'eh-stripe-gateway'),
        'type' => 'multiselect',
        'class' => 'chosen_select',
        'css' => 'width: 350px;',
        'desc_tip' => __('Select the card types to display the card logo in the checkout page as preferred card.', 'woocommerce'),
        'options' => array(
            'mastercard' => 'MasterCard',
            'visa' => 'Visa',
            'amex' => 'American Express',
            'discover' => 'Discover',
            'jcb' => 'JCB',
            'diners' => 'Diners Club'
        ),
        'default' => array(
            'mastercard',
            'visa',
            'diners',
            'discover',
            'amex',
            'jcb'
        )
    ),
   
    'eh_stripe_credit_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__( 'Stripe Credentials','eh-stripe-gateway' ).'<span>'),
        'type' => 'title'
    ),
    'eh_stripe_mode' => array(
        'title' => __('Transaction Mode', 'eh-stripe-gateway'),
        'type' => 'select',
        'options' => array(
            'test' => __('Test Mode', 'eh-stripe-gateway'),
            'live' => __('Live Mode', 'eh-stripe-gateway')
        ),
        'class' => 'wc-enhanced-select',
        'description' => sprintf(__( 'Check appropriate Stripe mode is checked in Stripe  <a href="https://dashboard.stripe.com/dashboard" target="_blank"> Dashboard </a>','eh-stripe-gateway' )),
        'default' => 'test'
    ),
    
    'eh_stripe_test_publishable_key' => array(
        'title' => __('Test Publishable Key', 'eh-stripe-gateway'),
        'type' => 'text',
        'description' => __('Enter Stripe Test mode Publishable Key.', 'eh-stripe-gateway'),
        'placeholder' => 'Test Publishable Key',
        'desc_tip' => true
    ),
    'eh_stripe_test_secret_key' => array(
        'title' => __('Test Secret Key', 'eh-stripe-gateway'),
        'type' => 'text',
        'description' => __('Enter Stripe Test mode Secret Key.', 'eh-stripe-gateway'),
        'placeholder' => 'Test Secret Key',
        'desc_tip' => true
    ),
    'eh_stripe_live_secret_key' => array(
        'title' => __('Live Secret Key', 'eh-stripe-gateway'),
        'type' => 'text',
        'description' => __('Enter Stripe Live mode Publishable Key.', 'eh-stripe-gateway'),
        'placeholder' => 'Live Secret Key',
        'desc_tip' => true
    ),
    'eh_stripe_live_publishable_key' => array(
        'title' => __('Live Publishable Key', 'eh-stripe-gateway'),
        'type' => 'text',
        'description' => __('Enter Stripe Live mode Publishable Key.', 'eh-stripe-gateway'),
        'placeholder' => 'Live Publishable Key',
        'desc_tip' => true
    ),
    'eh_stripe_pay_actions_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__( 'Stripe Actions','eh-stripe-gateway' ).'<span>'),
        'type' => 'title'
    ),
    'eh_stripe_capture' => array(
        'title' => __('Capture Payment', 'eh-stripe-gateway'),
        'label' => __('Capture Payment Immediately', 'eh-stripe-gateway'),
        'type' => 'checkbox',
        'description' => __('Whether or not to immediately capture the charge.Uncaptured charges will expire in 7 days.', 'eh-stripe-gateway'),
        'default' => 'yes',
        'desc_tip' => true
    ),
    'eh_stripe_enforce_cards' => array(
        'title' => __('Restrict Cards', 'eh-stripe-gateway'),
        'label' => __('Restrict Cards except Preferred Cards', 'eh-stripe-gateway'),
        'type' => 'checkbox',
        'description' => __('If enabling Restrict Cards, the card which all are mentioned in preferred cards only can allow for transaction.', 'eh-stripe-gateway'),
        'default' => 'no',
        'desc_tip' => true
    ),
    'eh_stripe_email_receipt' => array(
        'title' => __('Email Transaction Receipt', 'eh-stripe-gateway'),
        'label' => __('Enable ', 'eh-stripe-gateway'),
        'type' => 'checkbox',
        'description' => __('If enabling Email Transaction Receipt, the transaction receipt will send as email to the customers by Stripe.', 'eh-stripe-gateway'),
        'default' => 'no',
        'desc_tip' => true
    ),
    'eh_stripe_statement_descriptor' => array(
        'title' => __('Statement Descriptor', 'eh-stripe-gateway'),
        'description' => __('This may be up to 22 characters. The statement description must contain at least one letter, may not include ><"\' characters, and will appear on your customer\'s statement in capital letters.', 'eh-stripe-gateway'),
        'type' => 'text',
        'placeholder' => 'Statement Descriptor',
        'desc_tip' => true
    ),
    'eh_stripe_alipay_form_link' => array(
        'title'        => sprintf('<span style="text-decoration: underline;color:brown;">'.__( ' Alipay','eh-stripe-gateway' ).'<span>'),
         'description' => sprintf('<a target="_blank" href="' . admin_url('admin.php?page=wc-settings&tab=checkout&section=eh_alipay_stripe') . '">'.__( 'Alipay Payment Gateway Settings','eh-stripe-gateway' ).'</a>'),
        'type'        => 'title'
    ),
    
    'eh_stripe_log_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__( 'Debugging','eh-stripe-gateway' ).'<span>'),
        'type' => 'title',
        'description' => __('Enable Logging to save Stripe payment logs into log file.', 'eh-stripe-gateway')
    ),
    'eh_stripe_logging' => array(
        'title' => __('Logging', 'eh-stripe-gateway'),
        'label' => __('Enable', 'eh-stripe-gateway'),
        'type' => 'checkbox',
        'description' => sprintf('<span style="color:green">'.__( 'Success Log File','eh-stripe-gateway' ).'</span>: ' . strstr(wc_get_log_file_path('eh_stripe_pay_live'), 'wp-content') . ' ( ' . $file_size_live . ' ) <br><span style="color:red">'.__( 'Failure Log File','eh-stripe-gateway' ).'</span >: ' . strstr(wc_get_log_file_path('eh_stripe_pay_dead'), 'wp-content') . ' ( ' . $file_size_dead . ' ) '),
        'default' => 'yes'
    )
);
